--- old/usr/src/uts/common/crypto/io/crypto.c	2014-07-28 07:44:13.013743572 -0400
+++ new/usr/src/uts/common/crypto/io/crypto.c	2014-07-28 07:44:13.020243551 -0400
@@ -627,7 +627,7 @@
 	mutex_enter(&mp->kl_lock);
 
 	if ((cm = crypto_minors[minor - 1]) != NULL) {
-		atomic_add_32(&cm->cm_refcnt, 1);
+		atomic_inc_32(&cm->cm_refcnt);
 	}
 	mutex_exit(&mp->kl_lock);
 	return (cm);
@@ -636,7 +636,7 @@
 static void
 crypto_release_minor(crypto_minor_t *cm)
 {
-	if (atomic_add_32_nv(&cm->cm_refcnt, -1) == 0) {
+	if (atomic_dec_32_nv(&cm->cm_refcnt) == 0) {
 		cv_signal(&cm->cm_cv);
 	}
 }
--- old/usr/src/uts/common/crypto/io/dprov.c	2014-07-28 07:44:13.399785246 -0400
+++ new/usr/src/uts/common/crypto/io/dprov.c	2014-07-28 07:44:13.406046221 -0400
@@ -1101,7 +1101,7 @@
  * it REFHOLD()s.
  */
 #define	DPROV_OBJECT_REFHOLD(object) {		\
-	atomic_add_32(&(object)->do_refcnt, 1);	\
+	atomic_inc_32(&(object)->do_refcnt);	\
 	ASSERT((object)->do_refcnt != 0);		\
 }
 
@@ -1112,7 +1112,7 @@
 #define	DPROV_OBJECT_REFRELE(object) {				\
 	ASSERT((object)->do_refcnt != 0);			\
 	membar_exit();						\
-	if (atomic_add_32_nv(&(object)->do_refcnt, -1) == 0)	\
+	if (atomic_dec_32_nv(&(object)->do_refcnt) == 0)	\
 		dprov_free_object(object);			\
 }
 
--- old/usr/src/uts/common/disp/cmt.c	2014-07-28 07:44:13.896525347 -0400
+++ new/usr/src/uts/common/disp/cmt.c	2014-07-28 07:44:13.902475878 -0400
@@ -1358,9 +1358,9 @@
 	pg_cmt_t	*cmt_pg = (pg_cmt_t *)pg;
 
 	if (old == cp->cpu_idle_thread) {
-		atomic_add_32(&cmt_pg->cmt_utilization, 1);
+		atomic_inc_32(&cmt_pg->cmt_utilization);
 	} else if (new == cp->cpu_idle_thread) {
-		atomic_add_32(&cmt_pg->cmt_utilization, -1);
+		atomic_dec_32(&cmt_pg->cmt_utilization);
 	}
 }
 
@@ -1383,7 +1383,7 @@
 
 	if (old == cp->cpu_idle_thread) {
 		ASSERT(new != cp->cpu_idle_thread);
-		u = atomic_add_32_nv(&cmt->cmt_utilization, 1);
+		u = atomic_inc_32_nv(&cmt->cmt_utilization);
 		if (u == 1) {
 			/*
 			 * Notify the CPU power manager that the domain
@@ -1395,7 +1395,7 @@
 		}
 	} else if (new == cp->cpu_idle_thread) {
 		ASSERT(old != cp->cpu_idle_thread);
-		u = atomic_add_32_nv(&cmt->cmt_utilization, -1);
+		u = atomic_dec_32_nv(&cmt->cmt_utilization);
 		if (u == 0) {
 			/*
 			 * The domain is idle, notify the CPU power
--- old/usr/src/uts/common/dtrace/fasttrap.c	2014-07-28 07:44:14.140211425 -0400
+++ new/usr/src/uts/common/dtrace/fasttrap.c	2014-07-28 07:44:14.146117015 -0400
@@ -1182,7 +1182,7 @@
 			mutex_enter(&fprc->ftpc_mtx);
 			mutex_exit(&bucket->ftb_mtx);
 			fprc->ftpc_rcount++;
-			atomic_add_64(&fprc->ftpc_acount, 1);
+			atomic_inc_64(&fprc->ftpc_acount);
 			ASSERT(fprc->ftpc_acount <= fprc->ftpc_rcount);
 			mutex_exit(&fprc->ftpc_mtx);
 
@@ -1212,7 +1212,7 @@
 			mutex_enter(&fprc->ftpc_mtx);
 			mutex_exit(&bucket->ftb_mtx);
 			fprc->ftpc_rcount++;
-			atomic_add_64(&fprc->ftpc_acount, 1);
+			atomic_inc_64(&fprc->ftpc_acount);
 			ASSERT(fprc->ftpc_acount <= fprc->ftpc_rcount);
 			mutex_exit(&fprc->ftpc_mtx);
 
@@ -1424,7 +1424,7 @@
 	 * count of active providers on the associated process structure.
 	 */
 	if (!provider->ftp_retired) {
-		atomic_add_64(&provider->ftp_proc->ftpc_acount, -1);
+		atomic_dec_64(&provider->ftp_proc->ftpc_acount);
 		ASSERT(provider->ftp_proc->ftpc_acount <
 		    provider->ftp_proc->ftpc_rcount);
 	}
@@ -1499,7 +1499,7 @@
 	 * bucket lock therefore protects the integrity of the provider hash
 	 * table.
 	 */
-	atomic_add_64(&fp->ftp_proc->ftpc_acount, -1);
+	atomic_dec_64(&fp->ftp_proc->ftpc_acount);
 	ASSERT(fp->ftp_proc->ftpc_acount < fp->ftp_proc->ftpc_rcount);
 
 	fp->ftp_retired = 1;
@@ -1595,10 +1595,10 @@
 			    pdata->ftps_mod, pdata->ftps_func, name_str) != 0)
 				continue;
 
-			atomic_add_32(&fasttrap_total, 1);
+			atomic_inc_32(&fasttrap_total);
 
 			if (fasttrap_total > fasttrap_max) {
-				atomic_add_32(&fasttrap_total, -1);
+				atomic_dec_32(&fasttrap_total);
 				goto no_mem;
 			}
 
--- old/usr/src/uts/common/dtrace/profile.c	2014-07-28 07:44:14.386401650 -0400
+++ new/usr/src/uts/common/dtrace/profile.c	2014-07-28 07:44:14.392290253 -0400
@@ -171,9 +171,9 @@
 	if (dtrace_probe_lookup(profile_id, NULL, NULL, name) != 0)
 		return;
 
-	atomic_add_32(&profile_total, 1);
+	atomic_inc_32(&profile_total);
 	if (profile_total > profile_max) {
-		atomic_add_32(&profile_total, -1);
+		atomic_dec_32(&profile_total);
 		return;
 	}
 
@@ -328,7 +328,7 @@
 	kmem_free(prof, sizeof (profile_probe_t));
 
 	ASSERT(profile_total >= 1);
-	atomic_add_32(&profile_total, -1);
+	atomic_dec_32(&profile_total);
 }
 
 /*ARGSUSED*/
--- old/usr/src/uts/common/fs/ctfs/ctfs_root.c	2014-07-28 07:44:14.566678427 -0400
+++ new/usr/src/uts/common/fs/ctfs/ctfs_root.c	2014-07-28 07:44:14.573017571 -0400
@@ -240,7 +240,7 @@
 	vfsp->vfs_fstype = ctfs_fstype;
 	do {
 		dev = makedevice(ctfs_major,
-		    atomic_add_32_nv(&ctfs_minor, 1) & L_MAXMIN32);
+		    atomic_inc_32_nv(&ctfs_minor) & L_MAXMIN32);
 	} while (vfs_devismounted(dev));
 	vfs_make_fsid(&vfsp->vfs_fsid, dev, ctfs_fstype);
 	vfsp->vfs_data = data;
--- old/usr/src/uts/common/fs/dnlc.c	2014-07-28 07:44:14.743979035 -0400
+++ new/usr/src/uts/common/fs/dnlc.c	2014-07-28 07:44:14.750010212 -0400
@@ -254,7 +254,7 @@
 #define	dnlc_free(ncp) \
 { \
 	kmem_free((ncp), sizeof (ncache_t) + (ncp)->namlen); \
-	atomic_add_32(&dnlc_nentries, -1); \
+	atomic_dec_32(&dnlc_nentries); \
 }
 
 
@@ -1024,7 +1024,7 @@
 		return (NULL);
 	}
 	ncp->namlen = namlen;
-	atomic_add_32(&dnlc_nentries, 1);
+	atomic_inc_32(&dnlc_nentries);
 	dnlc_reduce_cache(NULL);
 	return (ncp);
 }
--- old/usr/src/uts/common/fs/fem.c	2014-07-28 07:44:14.976107734 -0400
+++ new/usr/src/uts/common/fs/fem.c	2014-07-28 07:44:14.982107668 -0400
@@ -367,13 +367,13 @@
 static void
 fem_addref(struct fem_list *sp)
 {
-	atomic_add_32(&sp->feml_refc, 1);
+	atomic_inc_32(&sp->feml_refc);
 }
 
 static uint32_t
 fem_delref(struct fem_list *sp)
 {
-	return (atomic_add_32_nv(&sp->feml_refc, -1));
+	return (atomic_dec_32_nv(&sp->feml_refc));
 }
 
 static struct fem_list *
--- old/usr/src/uts/common/fs/lofs/lofs_subr.c	2014-07-28 07:44:15.260713723 -0400
+++ new/usr/src/uts/common/fs/lofs/lofs_subr.c	2014-07-28 07:44:15.266644104 -0400
@@ -23,8 +23,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
  * The idea behind composition-based stacked filesystems is to add a
  * vnode to the stack of vnodes for each mount. These vnodes have their
@@ -289,7 +287,7 @@
 			}
 			lp = tlp;
 		}
-		atomic_add_32(&li->li_refct, 1);
+		atomic_inc_32(&li->li_refct);
 		vfsp = makelfsnode(vp->v_vfsp, li);
 		lp->lo_vnode = nvp;
 		VN_SET_VFS_TYPE_DEV(nvp, vfsp, vp->v_type, vp->v_rdev);
@@ -632,7 +630,7 @@
 
 	ASSERT(MUTEX_HELD(&li->li_lfslock));
 	ASSERT(vfsp->vfs_count > 1);
-	if (atomic_add_32_nv(&vfsp->vfs_count, -1) == 1)
+	if (atomic_dec_32_nv(&vfsp->vfs_count) == 1)
 		freelfsnode(lfs, li);
 }
 
@@ -672,7 +670,7 @@
 			lo_dprint(4, "freeing %p, vfsp %p\n",
 			    vp, vp->v_vfsp);
 #endif
-			atomic_add_32(&li->li_refct, -1);
+			atomic_dec_32(&li->li_refct);
 			vfsp = vp->v_vfsp;
 			vn_invalid(vp);
 			if (vfsp != li->li_mountvfs) {
--- old/usr/src/uts/common/fs/mntfs/mntvnops.c	2014-07-28 07:44:15.448411719 -0400
+++ new/usr/src/uts/common/fs/mntfs/mntvnops.c	2014-07-28 07:44:15.454417604 -0400
@@ -852,7 +852,7 @@
 	nmnp = mntgetnode(vp);
 
 	*vpp = MTOV(nmnp);
-	atomic_add_32(&MTOD(nmnp)->mnt_nopen, 1);
+	atomic_inc_32(&MTOD(nmnp)->mnt_nopen);
 	VN_RELE(vp);
 	return (0);
 }
@@ -875,7 +875,7 @@
 		mntfs_freesnap(mnp, &mnp->mnt_read);
 		mntfs_freesnap(mnp, &mnp->mnt_ioctl);
 		rw_exit(&mnp->mnt_contents);
-		atomic_add_32(&MTOD(mnp)->mnt_nopen, -1);
+		atomic_dec_32(&MTOD(mnp)->mnt_nopen);
 	}
 	return (0);
 }
--- old/usr/src/uts/common/fs/nfs/nfs3_vnops.c	2014-07-28 07:44:15.674317744 -0400
+++ new/usr/src/uts/common/fs/nfs/nfs3_vnops.c	2014-07-28 07:44:15.680559549 -0400
@@ -5276,11 +5276,11 @@
 
 	if (nfs_rw_enter_sig(&rp->r_rwlock, RW_WRITER, INTR(vp)))
 		return (EINTR);
-	atomic_add_int(&rp->r_inmap, 1);
+	atomic_inc_uint(&rp->r_inmap);
 	nfs_rw_exit(&rp->r_rwlock);
 
 	if (nfs_rw_enter_sig(&rp->r_lkserlock, RW_READER, INTR(vp))) {
-		atomic_add_int(&rp->r_inmap, -1);
+		atomic_dec_uint(&rp->r_inmap);
 		return (EINTR);
 	}
 
@@ -5322,7 +5322,7 @@
 
 done:
 	nfs_rw_exit(&rp->r_lkserlock);
-	atomic_add_int(&rp->r_inmap, -1);
+	atomic_dec_uint(&rp->r_inmap);
 	return (error);
 }
 
--- old/usr/src/uts/common/fs/nfs/nfs4_client.c	2014-07-28 07:44:16.052739958 -0400
+++ new/usr/src/uts/common/fs/nfs/nfs4_client.c	2014-07-28 07:44:16.058636111 -0400
@@ -3148,7 +3148,7 @@
 void
 mi_hold(mntinfo4_t *mi)
 {
-	atomic_add_32(&mi->mi_count, 1);
+	atomic_inc_32(&mi->mi_count);
 	ASSERT(mi->mi_count != 0);
 }
 
@@ -3156,7 +3156,7 @@
 mi_rele(mntinfo4_t *mi)
 {
 	ASSERT(mi->mi_count != 0);
-	if (atomic_add_32_nv(&mi->mi_count, -1) == 0) {
+	if (atomic_dec_32_nv(&mi->mi_count) == 0) {
 		nfs_free_mi4(mi);
 	}
 }
@@ -4111,7 +4111,7 @@
 void
 fn_hold(nfs4_fname_t *fnp)
 {
-	atomic_add_32(&fnp->fn_refcnt, 1);
+	atomic_inc_32(&fnp->fn_refcnt);
 	NFS4_DEBUG(nfs4_fname_debug, (CE_NOTE,
 	    "fn_hold %p:%s, new refcnt=%d",
 	    (void *)fnp, fnp->fn_name, fnp->fn_refcnt));
@@ -4137,7 +4137,7 @@
 	parent = fnp->fn_parent;
 	if (parent != NULL)
 		mutex_enter(&parent->fn_lock);	/* prevent new references */
-	newref = atomic_add_32_nv(&fnp->fn_refcnt, -1);
+	newref = atomic_dec_32_nv(&fnp->fn_refcnt);
 	if (newref > 0) {
 		NFS4_DEBUG(nfs4_fname_debug, (CE_NOTE,
 		    "fn_rele %p:%s, new refcnt=%d",
--- old/usr/src/uts/common/fs/nfs/nfs4_client_state.c	2014-07-28 07:44:16.356742904 -0400
+++ new/usr/src/uts/common/fs/nfs/nfs4_client_state.c	2014-07-28 07:44:16.362755176 -0400
@@ -673,7 +673,7 @@
 uint64_t
 nfs4_get_new_oo_name(void)
 {
-	return (atomic_add_64_nv(&open_owner_seq_num, 1));
+	return (atomic_inc_64_nv(&open_owner_seq_num));
 }
 
 /*
@@ -836,7 +836,7 @@
 	 * A Solaris lock_owner is <seq_num><pid>
 	 */
 	lop->lock_owner_name.ln_seq_num =
-	    atomic_add_64_nv(&lock_owner_seq_num, 1);
+	    atomic_inc_64_nv(&lock_owner_seq_num);
 	lop->lock_owner_name.ln_pid = pid;
 
 	cv_init(&lop->lo_cv_seqid_sync, NULL, CV_DEFAULT, NULL);
@@ -883,7 +883,7 @@
 	 * A Solaris lock_owner is <seq_num><pid>
 	 */
 	cast_namep = (nfs4_lo_name_t *)owner->owner_val;
-	cast_namep->ln_seq_num = atomic_add_64_nv(&lock_owner_seq_num, 1);
+	cast_namep->ln_seq_num = atomic_inc_64_nv(&lock_owner_seq_num);
 	cast_namep->ln_pid = pid;
 }
 
--- old/usr/src/uts/common/fs/nfs/nfs4_db.c	2014-07-28 07:44:16.601997820 -0400
+++ new/usr/src/uts/common/fs/nfs/nfs4_db.c	2014-07-28 07:44:16.607981182 -0400
@@ -60,7 +60,7 @@
 void
 rfs4_dbe_hold(rfs4_dbe_t *entry)
 {
-	atomic_add_32(&entry->dbe_refcnt, 1);
+	atomic_inc_32(&entry->dbe_refcnt);
 }
 
 /*
@@ -69,7 +69,7 @@
 void
 rfs4_dbe_rele_nolock(rfs4_dbe_t *entry)
 {
-	atomic_add_32(&entry->dbe_refcnt, -1);
+	atomic_dec_32(&entry->dbe_refcnt);
 }
 
 
@@ -129,7 +129,7 @@
 {
 	mutex_enter(entry->dbe_lock);
 	ASSERT(entry->dbe_refcnt > 1);
-	atomic_add_32(&entry->dbe_refcnt, -1);
+	atomic_dec_32(&entry->dbe_refcnt);
 	entry->dbe_time_rele = gethrestime_sec();
 	mutex_exit(entry->dbe_lock);
 }
--- old/usr/src/uts/common/fs/nfs/nfs4_rnode.c	2014-07-28 07:44:16.794602470 -0400
+++ new/usr/src/uts/common/fs/nfs/nfs4_rnode.c	2014-07-28 07:44:16.800665959 -0400
@@ -647,7 +647,7 @@
 		rp = kmem_cache_alloc(rnode4_cache, KM_SLEEP);
 		new_vp = vn_alloc(KM_SLEEP);
 
-		atomic_add_long((ulong_t *)&rnode4_new, 1);
+		atomic_inc_ulong((ulong_t *)&rnode4_new);
 #ifdef DEBUG
 		clstat4_debug.nrnode.value.ui64++;
 #endif
@@ -1220,7 +1220,7 @@
 	vfsp = vp->v_vfsp;
 
 	uninit_rnode4(rp);
-	atomic_add_long((ulong_t *)&rnode4_new, -1);
+	atomic_dec_ulong((ulong_t *)&rnode4_new);
 #ifdef DEBUG
 	clstat4_debug.nrnode.value.ui64--;
 #endif
--- old/usr/src/uts/common/fs/nfs/nfs4_subr.c	2014-07-28 07:44:17.022687673 -0400
+++ new/usr/src/uts/common/fs/nfs/nfs4_subr.c	2014-07-28 07:44:17.028806940 -0400
@@ -934,7 +934,7 @@
 	 * a new one and use that.
 	 */
 #ifdef DEBUG
-	atomic_add_64(&nfscl->nfscl_stat.clalloc.value.ui64, 1);
+	atomic_inc_64(&nfscl->nfscl_stat.clalloc.value.ui64);
 #endif
 	mutex_exit(&nfscl->nfscl_chtable4_lock);
 
@@ -955,7 +955,7 @@
 	if (error != 0) {
 		kmem_cache_free(chtab4_cache, cp);
 #ifdef DEBUG
-		atomic_add_64(&nfscl->nfscl_stat.clalloc.value.ui64, -1);
+		atomic_dec_64(&nfscl->nfscl_stat.clalloc.value.ui64);
 #endif
 		/*
 		 * Warning is unnecessary if error is EINTR.
@@ -977,7 +977,7 @@
 		CLNT_DESTROY(cp->ch_client);
 		kmem_cache_free(chtab4_cache, cp);
 #ifdef DEBUG
-		atomic_add_64(&nfscl->nfscl_stat.clalloc.value.ui64, -1);
+		atomic_dec_64(&nfscl->nfscl_stat.clalloc.value.ui64);
 #endif
 		return ((error != 0) ? error : EINTR);
 	}
@@ -2646,7 +2646,7 @@
 		mutex_init(&rdip->lock, NULL, MUTEX_DEFAULT, NULL);
 		rdip->count = 1;
 #ifdef DEBUG
-		atomic_add_64(&clstat4_debug.dirent.value.ui64, 1);
+		atomic_inc_64(&clstat4_debug.dirent.value.ui64);
 #endif
 	}
 	return (rc);
@@ -2703,7 +2703,7 @@
 	rddir4_cache *rc = &rdip->rc;
 
 #ifdef DEBUG
-	atomic_add_64(&clstat4_debug.dirent.value.ui64, -1);
+	atomic_dec_64(&clstat4_debug.dirent.value.ui64);
 #endif
 	if (rc->entries != NULL)
 		kmem_free(rc->entries, rc->buflen);
--- old/usr/src/uts/common/fs/nfs/nfs4_vnops.c	2014-07-28 07:44:17.293813956 -0400
+++ new/usr/src/uts/common/fs/nfs/nfs4_vnops.c	2014-07-28 07:44:17.300363230 -0400
@@ -10490,11 +10490,11 @@
 
 	if (nfs_rw_enter_sig(&rp->r_rwlock, RW_WRITER, INTR4(vp)))
 		return (EINTR);
-	atomic_add_int(&rp->r_inmap, 1);
+	atomic_inc_uint(&rp->r_inmap);
 	nfs_rw_exit(&rp->r_rwlock);
 
 	if (nfs_rw_enter_sig(&rp->r_lkserlock, RW_READER, INTR4(vp))) {
-		atomic_add_int(&rp->r_inmap, -1);
+		atomic_dec_uint(&rp->r_inmap);
 		return (EINTR);
 	}
 
@@ -10602,7 +10602,7 @@
 
 done:
 	nfs_rw_exit(&rp->r_lkserlock);
-	atomic_add_int(&rp->r_inmap, -1);
+	atomic_dec_uint(&rp->r_inmap);
 	return (error);
 }
 
--- old/usr/src/uts/common/fs/nfs/nfs_subr.c	2014-07-28 07:44:17.983881185 -0400
+++ new/usr/src/uts/common/fs/nfs/nfs_subr.c	2014-07-28 07:44:17.989864348 -0400
@@ -415,7 +415,7 @@
 	 * a new one and use that.
 	 */
 #ifdef DEBUG
-	atomic_add_64(&nfscl->nfscl_stat.clalloc.value.ui64, 1);
+	atomic_inc_64(&nfscl->nfscl_stat.clalloc.value.ui64);
 #endif
 	mutex_exit(&nfscl->nfscl_chtable_lock);
 
@@ -436,7 +436,7 @@
 	if (error != 0) {
 		kmem_cache_free(chtab_cache, cp);
 #ifdef DEBUG
-		atomic_add_64(&nfscl->nfscl_stat.clalloc.value.ui64, -1);
+		atomic_dec_64(&nfscl->nfscl_stat.clalloc.value.ui64);
 #endif
 		/*
 		 * Warning is unnecessary if error is EINTR.
@@ -455,7 +455,7 @@
 		CLNT_DESTROY(cp->ch_client);
 		kmem_cache_free(chtab_cache, cp);
 #ifdef DEBUG
-		atomic_add_64(&nfscl->nfscl_stat.clalloc.value.ui64, -1);
+		atomic_dec_64(&nfscl->nfscl_stat.clalloc.value.ui64);
 #endif
 		return ((error != 0) ? error : EINTR);
 	}
@@ -2537,7 +2537,7 @@
 		rp = kmem_cache_alloc(rnode_cache, KM_SLEEP);
 		new_vp = vn_alloc(KM_SLEEP);
 
-		atomic_add_long((ulong_t *)&rnew, 1);
+		atomic_inc_ulong((ulong_t *)&rnew);
 #ifdef DEBUG
 		clstat_debug.nrnode.value.ui64++;
 #endif
@@ -3019,7 +3019,7 @@
 	ASSERT(rp->r_mapcnt == 0);
 	ASSERT(!(rp->r_flags & RHASHED));
 	ASSERT(rp->r_freef == NULL && rp->r_freeb == NULL);
-	atomic_add_long((ulong_t *)&rnew, -1);
+	atomic_dec_ulong((ulong_t *)&rnew);
 #ifdef DEBUG
 	clstat_debug.nrnode.value.ui64--;
 #endif
@@ -3813,7 +3813,7 @@
 		mutex_init(&rc->lock, NULL, MUTEX_DEFAULT, NULL);
 		rc->count = 1;
 #ifdef DEBUG
-		atomic_add_64(&clstat_debug.dirent.value.ui64, 1);
+		atomic_inc_64(&clstat_debug.dirent.value.ui64);
 #endif
 	}
 	return (rc);
@@ -3824,7 +3824,7 @@
 {
 
 #ifdef DEBUG
-	atomic_add_64(&clstat_debug.dirent.value.ui64, -1);
+	atomic_dec_64(&clstat_debug.dirent.value.ui64);
 #endif
 	if (rc->entries != NULL) {
 #ifdef DEBUG
--- old/usr/src/uts/common/fs/nfs/nfs_vnops.c	2014-07-28 07:44:18.321384783 -0400
+++ new/usr/src/uts/common/fs/nfs/nfs_vnops.c	2014-07-28 07:44:18.327497992 -0400
@@ -4365,11 +4365,11 @@
 
 	if (nfs_rw_enter_sig(&rp->r_rwlock, RW_WRITER, INTR(vp)))
 		return (EINTR);
-	atomic_add_int(&rp->r_inmap, 1);
+	atomic_inc_uint(&rp->r_inmap);
 	nfs_rw_exit(&rp->r_rwlock);
 
 	if (nfs_rw_enter_sig(&rp->r_lkserlock, RW_READER, INTR(vp))) {
-		atomic_add_int(&rp->r_inmap, -1);
+		atomic_dec_uint(&rp->r_inmap);
 		return (EINTR);
 	}
 	if (vp->v_flag & VNOCACHE) {
@@ -4410,7 +4410,7 @@
 
 done:
 	nfs_rw_exit(&rp->r_lkserlock);
-	atomic_add_int(&rp->r_inmap, -1);
+	atomic_dec_uint(&rp->r_inmap);
 	return (error);
 }
 
--- old/usr/src/uts/common/fs/objfs/objfs_vfs.c	2014-07-28 07:44:18.650918581 -0400
+++ new/usr/src/uts/common/fs/objfs/objfs_vfs.c	2014-07-28 07:44:18.656838231 -0400
@@ -179,7 +179,7 @@
 	vfsp->vfs_fstype = objfs_fstype;
 	do {
 		dev = makedevice(objfs_major,
-		    atomic_add_32_nv(&objfs_minor, 1) & L_MAXMIN32);
+		    atomic_inc_32_nv(&objfs_minor) & L_MAXMIN32);
 	} while (vfs_devismounted(dev));
 	vfs_make_fsid(&vfsp->vfs_fsid, dev, objfs_fstype);
 	vfsp->vfs_data = data;
--- old/usr/src/uts/common/fs/proc/prvnops.c	2014-07-28 07:44:18.820374407 -0400
+++ new/usr/src/uts/common/fs/proc/prvnops.c	2014-07-28 07:44:18.826851901 -0400
@@ -4429,8 +4429,8 @@
 static	uint32_t nprnode;
 static	uint32_t nprcommon;
 
-#define	INCREMENT(x)	atomic_add_32(&x, 1);
-#define	DECREMENT(x)	atomic_add_32(&x, -1);
+#define	INCREMENT(x)	atomic_inc_32(&x);
+#define	DECREMENT(x)	atomic_dec_32(&x);
 
 #else
 
--- old/usr/src/uts/common/fs/sharefs/sharefs_vfsops.c	2014-07-28 07:44:19.192585029 -0400
+++ new/usr/src/uts/common/fs/sharefs/sharefs_vfsops.c	2014-07-28 07:44:19.198567198 -0400
@@ -201,7 +201,7 @@
 	vfsp->vfs_fstype = sharefs_fstype;
 	do {
 		dev = makedevice(sharefs_major,
-		    atomic_add_32_nv(&sharefs_minor, 1) & L_MAXMIN32);
+		    atomic_inc_32_nv(&sharefs_minor) & L_MAXMIN32);
 	} while (vfs_devismounted(dev));
 	vfs_make_fsid(&vfsp->vfs_fsid, dev, sharefs_fstype);
 	vfsp->vfs_data = data;
--- old/usr/src/uts/common/fs/sharefs/sharefs_vnops.c	2014-07-28 07:44:19.360979832 -0400
+++ new/usr/src/uts/common/fs/sharefs/sharefs_vnops.c	2014-07-28 07:44:19.367013071 -0400
@@ -24,8 +24,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <fs/fs_subr.h>
 
 #include <sys/errno.h>
@@ -253,7 +251,7 @@
 	 * No need for the lock, no other thread can be accessing
 	 * this data structure.
 	 */
-	atomic_add_32(&sft->sharefs_refs, 1);
+	atomic_inc_32(&sft->sharefs_refs);
 	sft->sharefs_real_vp = 0;
 
 	/*
@@ -285,7 +283,7 @@
 			sft->sharefs_generation = 0;
 		}
 	}
-	atomic_add_32(&sft->sharefs_refs, -1);
+	atomic_dec_32(&sft->sharefs_refs);
 	rw_exit(&sharefs_lock);
 
 	return (0);
--- old/usr/src/uts/common/fs/sharefs/sharetab.c	2014-07-28 07:44:19.534536668 -0400
+++ new/usr/src/uts/common/fs/sharefs/sharetab.c	2014-07-28 07:44:19.540968051 -0400
@@ -154,15 +154,15 @@
 			}
 
 			ASSERT(sht->s_buckets[iHash].ssh_count != 0);
-			atomic_add_32(&sht->s_buckets[iHash].ssh_count, -1);
-			atomic_add_32(&sht->s_count, -1);
-			atomic_add_32(&sharetab_count, -1);
+			atomic_dec_32(&sht->s_buckets[iHash].ssh_count);
+			atomic_dec_32(&sht->s_count);
+			atomic_dec_32(&sharetab_count);
 
 			ASSERT(sharetab_size >= s->sh_size);
 			sharetab_size -= s->sh_size;
 
 			gethrestime(&sharetab_mtime);
-			atomic_add_32(&sharetab_generation, 1);
+			atomic_inc_32(&sharetab_generation);
 
 			break;
 		}
@@ -281,7 +281,7 @@
 			sharefree(s, NULL);
 
 			gethrestime(&sharetab_mtime);
-			atomic_add_32(&sharetab_generation, 1);
+			atomic_inc_32(&sharetab_generation);
 
 			ASSERT(sht->s_buckets[iHash].ssh_count != 0);
 			rw_exit(&sharetab_lock);
@@ -298,13 +298,13 @@
 	 */
 	sh->sh_next = sht->s_buckets[iHash].ssh_sh;
 	sht->s_buckets[iHash].ssh_sh = sh;
-	atomic_add_32(&sht->s_buckets[iHash].ssh_count, 1);
-	atomic_add_32(&sht->s_count, 1);
-	atomic_add_32(&sharetab_count, 1);
+	atomic_inc_32(&sht->s_buckets[iHash].ssh_count);
+	atomic_inc_32(&sht->s_count);
+	atomic_inc_32(&sharetab_count);
 	sharetab_size += sh->sh_size;
 
 	gethrestime(&sharetab_mtime);
-	atomic_add_32(&sharetab_generation, 1);
+	atomic_inc_32(&sharetab_generation);
 
 	rw_exit(&sharetab_lock);
 
--- old/usr/src/uts/common/fs/smbclnt/smbfs/smbfs_subr2.c	2014-07-28 07:44:19.710528763 -0400
+++ new/usr/src/uts/common/fs/smbclnt/smbfs/smbfs_subr2.c	2014-07-28 07:44:19.716559820 -0400
@@ -403,7 +403,7 @@
 		np = kmem_cache_alloc(smbnode_cache, KM_SLEEP);
 		new_vp = vn_alloc(KM_SLEEP);
 
-		atomic_add_long((ulong_t *)&smbnodenew, 1);
+		atomic_inc_ulong((ulong_t *)&smbnodenew);
 		vp = new_vp;
 	}
 
@@ -1027,7 +1027,7 @@
 	ASSERT(np->n_rpath == NULL);
 	ASSERT(!(np->r_flags & RHASHED));
 	ASSERT(np->r_freef == NULL && np->r_freeb == NULL);
-	atomic_add_long((ulong_t *)&smbnodenew, -1);
+	atomic_dec_ulong((ulong_t *)&smbnodenew);
 	vn_invalid(vp);
 	vn_free(vp);
 	kmem_cache_free(smbnode_cache, np);
--- old/usr/src/uts/common/fs/sockfs/nl7curi.c	2014-07-28 07:44:19.909828905 -0400
+++ new/usr/src/uts/common/fs/sockfs/nl7curi.c	2014-07-28 07:44:19.915915721 -0400
@@ -274,8 +274,8 @@
 	mutex_enter(&(hp)->lock);					\
 	while ((_nuri = (hp)->list) != NULL) {				\
 		(hp)->list = _nuri->hash;				\
-		atomic_add_32(&uri_hash_cnt[(from)], -1);		\
-		atomic_add_32(&uri_hash_cnt[(to)], 1);			\
+		atomic_dec_32(&uri_hash_cnt[(from)]);		\
+		atomic_inc_32(&uri_hash_cnt[(to)]);			\
 		_nhix = _nuri->hvalue;					\
 		URI_HASH_IX(_nhix, to);					\
 		_nhp = &uri_hash_ab[(to)][_nhix];			\
@@ -294,7 +294,7 @@
 	} else {							\
 		(hp)->list = (uri)->hash;				\
 	}								\
-	if (atomic_add_32_nv(&uri_hash_cnt[(cur)], -1) == 0 &&		\
+	if (atomic_dec_32_nv(&uri_hash_cnt[(cur)]) == 0 &&		\
 	    uri_hash_ab[(new)] != NULL) {				\
 		kmem_free(uri_hash_ab[cur],				\
 		    sizeof (uri_hash_t) * uri_hash_sz[cur]);		\
@@ -597,7 +597,7 @@
 		 * as the check is only advisory.
 		 */
 	fast:
-		atomic_add_32(&uri_hash_cnt[cur], 1);
+		atomic_inc_32(&uri_hash_cnt[cur]);
 		hp = &uri_hash_ab[cur][hix];
 		mutex_enter(&hp->lock);
 		uri->hash = hp->list;
@@ -689,7 +689,7 @@
 	 * completely migrated then walk all current hash chains and
 	 * migrate list members now.
 	 */
-	if (atomic_add_32_nv(&uri_hash_cnt[new], 1) >= uri_hash_overflow[new]) {
+	if (atomic_inc_32_nv(&uri_hash_cnt[new]) >= uri_hash_overflow[new]) {
 		for (hix = 0; hix < uri_hash_sz[cur]; hix++) {
 			hp = &uri_hash_ab[cur][hix];
 			if (hp->list != NULL) {
@@ -837,7 +837,7 @@
 				hp->list = uri->hash;
 			}
 			mutex_exit(&hp->lock);
-			atomic_add_32(&uri_hash_cnt[cur], -1);
+			atomic_dec_32(&uri_hash_cnt[cur]);
 			rw_exit(&uri_hash_access);
 			if (ruri->nocache)
 				nl7c_uri_purge++;
--- old/usr/src/uts/common/fs/sockfs/nl7curi.h	2014-07-28 07:44:20.146853194 -0400
+++ new/usr/src/uts/common/fs/sockfs/nl7curi.h	2014-07-28 07:44:20.152794573 -0400
@@ -27,8 +27,6 @@
 #ifndef _SYS_SOCKFS_NL7CURI_H
 #define	_SYS_SOCKFS_NL7CURI_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #ifdef	__cplusplus
 extern "C" {
 #endif
@@ -83,12 +81,12 @@
 }
 
 #define	REF_HOLD(container) {						\
-	atomic_add_32(&(container)->ref.cnt, 1);			\
+	atomic_inc_32(&(container)->ref.cnt);			\
 	ASSERT((container)->ref.cnt != 0);				\
 }
 
 #define	REF_RELE(container) {						\
-	if (atomic_add_32_nv(&(container)->ref.cnt, -1) == 0) {		\
+	if (atomic_dec_32_nv(&(container)->ref.cnt) == 0) {		\
 		(container)->ref.last((container));			\
 		kmem_cache_free((container)->ref.kmc, (container));	\
 	}								\
--- old/usr/src/uts/common/fs/sockfs/sockfilter_impl.h	2014-07-28 07:44:20.314228050 -0400
+++ new/usr/src/uts/common/fs/sockfs/sockfilter_impl.h	2014-07-28 07:44:20.320550043 -0400
@@ -63,7 +63,7 @@
 };
 
 #define	SOF_GLOBAL_STAT_BUMP(s) \
-	atomic_add_64(&sof_stat.sofks_##s.value.ui64, 1)
+	atomic_inc_64(&sof_stat.sofks_##s.value.ui64)
 
 /*
  * Per filter statistics.
--- old/usr/src/uts/common/fs/sockfs/socksyscalls.c	2014-07-28 07:44:20.482577934 -0400
+++ new/usr/src/uts/common/fs/sockfs/socksyscalls.c	2014-07-28 07:44:20.488776954 -0400
@@ -2402,7 +2402,7 @@
 snf_vmap_desbfree(snf_vmap_desbinfo *snfv)
 {
 	ASSERT(snfv->snfv_ref != 0);
-	if (atomic_add_32_nv(&snfv->snfv_ref, -1) == 0) {
+	if (atomic_dec_32_nv(&snfv->snfv_ref) == 0) {
 		vpm_unmap_pages(snfv->snfv_vml, S_READ);
 		VN_RELE(snfv->snfv_vp);
 		kmem_free(snfv, sizeof (snf_vmap_desbinfo));
--- old/usr/src/uts/common/fs/ufs/lufs.c	2014-07-28 07:44:20.742594804 -0400
+++ new/usr/src/uts/common/fs/ufs/lufs.c	2014-07-28 07:44:20.748572777 -0400
@@ -920,7 +920,7 @@
 	vfs_lock_wait(ufsvfsp->vfs_vfs);
 	ulp = &ufsvfsp->vfs_ulockfs;
 	mutex_enter(&ulp->ul_lock);
-	atomic_add_long(&ufs_quiesce_pend, 1);
+	atomic_inc_ulong(&ufs_quiesce_pend);
 	(void) ufs_quiesce(ulp);
 
 	(void) ufs_flush(ufsvfsp->vfs_vfs);
@@ -939,7 +939,7 @@
 	(void) lufs_unsnarf(ufsvfsp);
 	mutex_exit(&ufs_scan_lock);
 
-	atomic_add_long(&ufs_quiesce_pend, -1);
+	atomic_dec_ulong(&ufs_quiesce_pend);
 	mutex_exit(&ulp->ul_lock);
 	vfs_setmntopt(ufsvfsp->vfs_vfs, MNTOPT_NOLOGGING, NULL, 0);
 	vfs_unlock(ufsvfsp->vfs_vfs);
--- old/usr/src/uts/common/fs/ufs/ufs_directio.c	2014-07-28 07:44:20.953092582 -0400
+++ new/usr/src/uts/common/fs/ufs/ufs_directio.c	2014-07-28 07:44:20.959001796 -0400
@@ -614,7 +614,7 @@
 
 	if (!exclusive) {
 		ufs_shared_writes++;
-		ncur = atomic_add_32_nv(&ufs_cur_writes, 1);
+		ncur = atomic_inc_32_nv(&ufs_cur_writes);
 		if (ncur > ufs_maxcur_writes)
 			ufs_maxcur_writes = ncur;
 	}
@@ -727,7 +727,7 @@
 	}
 
 	if (!exclusive) {
-		atomic_add_32(&ufs_cur_writes, -1);
+		atomic_dec_32(&ufs_cur_writes);
 		/*
 		 * If this write was done shared, readers may
 		 * have pulled in unmodified pages. Get rid of
--- old/usr/src/uts/common/fs/ufs/ufs_filio.c	2014-07-28 07:44:21.147671263 -0400
+++ new/usr/src/uts/common/fs/ufs/ufs_filio.c	2014-07-28 07:44:21.153753846 -0400
@@ -344,7 +344,7 @@
 	/* hold the mutex to prevent race with a lockfs request */
 	vfs_lock_wait(vp->v_vfsp);
 	mutex_enter(&ulp->ul_lock);
-	atomic_add_long(&ufs_quiesce_pend, 1);
+	atomic_inc_ulong(&ufs_quiesce_pend);
 
 	if (ULOCKFS_IS_HLOCK(ulp)) {
 		error = EIO;
@@ -388,7 +388,7 @@
 	/*
 	 * we need this broadcast because of the ufs_quiesce call above
 	 */
-	atomic_add_long(&ufs_quiesce_pend, -1);
+	atomic_dec_ulong(&ufs_quiesce_pend);
 	cv_broadcast(&ulp->ul_cv);
 	mutex_exit(&ulp->ul_lock);
 	vfs_unlock(vp->v_vfsp);
@@ -425,7 +425,7 @@
 
 	/* hold the mutex to prevent race with a lockfs request */
 	mutex_enter(&ulp->ul_lock);
-	atomic_add_long(&ufs_quiesce_pend, 1);
+	atomic_inc_ulong(&ufs_quiesce_pend);
 
 	if (ULOCKFS_IS_HLOCK(ulp)) {
 		error = EIO;
@@ -486,7 +486,7 @@
 	error = ufs_flush(vp->v_vfsp);
 
 out:
-	atomic_add_long(&ufs_quiesce_pend, -1);
+	atomic_dec_ulong(&ufs_quiesce_pend);
 	cv_broadcast(&ulp->ul_cv);
 	mutex_exit(&ulp->ul_lock);
 	vfs_unlock(vp->v_vfsp);
--- old/usr/src/uts/common/fs/ufs/ufs_lockfs.c	2014-07-28 07:44:21.329133831 -0400
+++ new/usr/src/uts/common/fs/ufs/ufs_lockfs.c	2014-07-28 07:44:21.335135575 -0400
@@ -933,7 +933,7 @@
 	ufs_thread_suspend(&ufsvfsp->vfs_delete);
 
 	mutex_enter(&ulp->ul_lock);
-	atomic_add_long(&ufs_quiesce_pend, 1);
+	atomic_inc_ulong(&ufs_quiesce_pend);
 
 	/*
 	 * Quit if there is another lockfs request in progress
@@ -1163,7 +1163,7 @@
 		    ulp->ul_lockfs.lf_comment && ulp->ul_lockfs.lf_comlen > 0 ?
 		    ulp->ul_lockfs.lf_comment: "user-applied error lock");
 
-	atomic_add_long(&ufs_quiesce_pend, -1);
+	atomic_dec_ulong(&ufs_quiesce_pend);
 	mutex_exit(&ulp->ul_lock);
 	vfs_unlock(vfsp);
 
@@ -1202,7 +1202,7 @@
 	LOCKFS_CLR_BUSY(&ulp->ul_lockfs);
 
 errexit:
-	atomic_add_long(&ufs_quiesce_pend, -1);
+	atomic_dec_ulong(&ufs_quiesce_pend);
 	mutex_exit(&ulp->ul_lock);
 	vfs_unlock(vfsp);
 
@@ -1299,10 +1299,10 @@
 	}
 
 	if (mask & ULOCKFS_FWLOCK) {
-		atomic_add_long(&ulp->ul_falloc_cnt, 1);
+		atomic_inc_ulong(&ulp->ul_falloc_cnt);
 		ULOCKFS_SET_FALLOC(ulp);
 	} else {
-		atomic_add_long(&ulp->ul_vnops_cnt, 1);
+		atomic_inc_ulong(&ulp->ul_vnops_cnt);
 	}
 
 	return (0);
@@ -1380,7 +1380,7 @@
 	ctr = (mask & ULOCKFS_FWLOCK) ?
 	    &ulp->ul_falloc_cnt : &ulp->ul_vnops_cnt;
 	if (!ULOCKFS_IS_SLOCK(ulp)) {
-		atomic_add_long(ctr, 1);
+		atomic_inc_ulong(ctr);
 		op_cnt_incremented++;
 	}
 
@@ -1399,7 +1399,7 @@
 	 */
 	if (!ULOCKFS_IS_JUSTULOCK(ulp) || ufs_quiesce_pend) {
 		if (op_cnt_incremented)
-			if (!atomic_add_long_nv(ctr, -1))
+			if (!atomic_dec_ulong_nv(ctr))
 				cv_broadcast(&ulp->ul_cv);
 		mutex_enter(&ulp->ul_lock);
 		error = ufs_check_lockfs(ufsvfsp, ulp, mask);
@@ -1514,14 +1514,14 @@
 	if (ULOCKFS_IS_FALLOC(ulp) && info->flags & ULOCK_INFO_FALLOCATE) {
 		/* Clear the thread's fallocate state */
 		info->flags &= ~ULOCK_INFO_FALLOCATE;
-		if (!atomic_add_long_nv(&ulp->ul_falloc_cnt, -1)) {
+		if (!atomic_dec_ulong_nv(&ulp->ul_falloc_cnt)) {
 			mutex_enter(&ulp->ul_lock);
 			ULOCKFS_CLR_FALLOC(ulp);
 			cv_broadcast(&ulp->ul_cv);
 			mutex_exit(&ulp->ul_lock);
 		}
 	} else  { /* normal thread */
-		if (!atomic_add_long_nv(&ulp->ul_vnops_cnt, -1))
+		if (!atomic_dec_ulong_nv(&ulp->ul_vnops_cnt))
 			cv_broadcast(&ulp->ul_cv);
 	}
 }
@@ -1587,7 +1587,7 @@
 	ctr = (mask & ULOCKFS_FWLOCK) ?
 	    &ulp->ul_falloc_cnt : &ulp->ul_vnops_cnt;
 	if (!ULOCKFS_IS_SLOCK(ulp)) {
-		atomic_add_long(ctr, 1);
+		atomic_inc_ulong(ctr);
 		op_cnt_incremented++;
 	}
 
@@ -1601,7 +1601,7 @@
 		 * file system is delete locked, a mmap can still go through).
 		 */
 		if (op_cnt_incremented)
-			if (!atomic_add_long_nv(ctr, -1))
+			if (!atomic_dec_ulong_nv(ctr))
 				cv_broadcast(&ulp->ul_cv);
 		mutex_enter(&ulp->ul_lock);
 		if (ULOCKFS_IS_HLOCK(ulp) ||
@@ -1617,7 +1617,7 @@
 				    sizeof (ulockfs_info_t));
 			return (error);
 		}
-		atomic_add_long(ctr, 1);
+		atomic_inc_ulong(ctr);
 		if (mask & ULOCKFS_FWLOCK)
 			ULOCKFS_SET_FALLOC(ulp);
 		mutex_exit(&ulp->ul_lock);
@@ -1648,7 +1648,7 @@
 					    sizeof (ulockfs_info_t));
 				return (error);
 			}
-			atomic_add_long(ctr, 1);
+			atomic_inc_ulong(ctr);
 			if (mask & ULOCKFS_FWLOCK)
 				ULOCKFS_SET_FALLOC(ulp);
 			mutex_exit(&ulp->ul_lock);
@@ -1730,9 +1730,9 @@
 	/*
 	 * First time VOP call
 	 */
-	atomic_add_long(&ulp->ul_vnops_cnt, 1);
+	atomic_inc_ulong(&ulp->ul_vnops_cnt);
 	if (!ULOCKFS_IS_JUSTULOCK(ulp) || ufs_quiesce_pend) {
-		if (!atomic_add_long_nv(&ulp->ul_vnops_cnt, -1))
+		if (!atomic_dec_ulong_nv(&ulp->ul_vnops_cnt))
 			cv_broadcast(&ulp->ul_cv);
 		mutex_enter(&ulp->ul_lock);
 		if (seg->s_ops == &segvn_ops &&
